Bug 1129212 - [abrt] inkscape: file_save(Gtk::Window &, SPDocument *, const Glib::ustring &, Inkscape::Extension::Extension *, bool, bool, enum Inkscape::Extension::FileSaveMethod)(): inkscape killed by SIGSEGV
Summary: [abrt] inkscape: file_save(Gtk::Window &, SPDocument *, const Glib::ustring &...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f4e713abdc25534eb7344e42e9b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 10:25 UTC by rainman3d2002
Modified: 2015-06-29 22:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:02:04 UTC


Attachments (Terms of Use)
File: backtrace (40.50 KB, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: core_backtrace (11.80 KB, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: dso_list (12.53 KB, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: environ (1.63 KB, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: maps (64.75 KB, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: open_fds (410 bytes, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details
File: var_log_messages (351 bytes, text/plain)
2014-08-12 10:25 UTC, rainman3d2002
no flags Details

Description rainman3d2002 2014-08-12 10:25:12 UTC
Description of problem:
I was exitting after saving an Optimized SVG.

Version-Release number of selected component:
inkscape-0.48.5-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/inkscape /home/ydonskoy/Documents/Novels/Personal_Novels/Galaxy_Child/Draft1/Design/BeltashyrePlate-conv.svg
crash_function: file_save(Gtk::Window &, SPDocument *, const Glib::ustring &, Inkscape::Extension::Extension *, bool, bool, enum Inkscape::Extension::FileSaveMethod)
executable:     /usr/bin/inkscape
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 file_save(Gtk::Window &, SPDocument *, const Glib::ustring &, Inkscape::Extension::Extension *, bool, bool, enum Inkscape::Extension::FileSaveMethod) at file.cpp:638
 #1 sp_file_save_dialog at file.cpp:862
 #2 sp_action_perform at helper/action.cpp:181
 #7 gtk_widget_activate at gtkwidget.c:5048
 #8 gtk_menu_shell_activate_item at gtkmenushell.c:1303
 #9 gtk_menu_shell_button_release at gtkmenushell.c:730
 #10 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #15 gtk_widget_event_internal at gtkwidget.c:5017
 #16 gtk_widget_event at gtkwidget.c:4814
 #17 gtk_propagate_event at gtkmain.c:2490

Comment 1 rainman3d2002 2014-08-12 10:25:15 UTC
Created attachment 926007 [details]
File: backtrace

Comment 2 rainman3d2002 2014-08-12 10:25:15 UTC
Created attachment 926008 [details]
File: cgroup

Comment 3 rainman3d2002 2014-08-12 10:25:16 UTC
Created attachment 926009 [details]
File: core_backtrace

Comment 4 rainman3d2002 2014-08-12 10:25:17 UTC
Created attachment 926010 [details]
File: dso_list

Comment 5 rainman3d2002 2014-08-12 10:25:18 UTC
Created attachment 926011 [details]
File: environ

Comment 6 rainman3d2002 2014-08-12 10:25:19 UTC
Created attachment 926012 [details]
File: exploitable

Comment 7 rainman3d2002 2014-08-12 10:25:20 UTC
Created attachment 926013 [details]
File: limits

Comment 8 rainman3d2002 2014-08-12 10:25:21 UTC
Created attachment 926014 [details]
File: maps

Comment 9 rainman3d2002 2014-08-12 10:25:22 UTC
Created attachment 926015 [details]
File: open_fds

Comment 10 rainman3d2002 2014-08-12 10:25:23 UTC
Created attachment 926016 [details]
File: proc_pid_status

Comment 11 rainman3d2002 2014-08-12 10:25:24 UTC
Created attachment 926017 [details]
File: var_log_messages

Comment 12 Vít Ondruch 2014-08-20 14:55:50 UTC
I have the similar error, when I saved the optimized SVG, overriding the original file.

Comment 13 Vít Ondruch 2014-09-02 13:17:03 UTC
Another guess what might be the reason ... When I saved the optimized SVG, I immediately closed the Inkscape. However, the processing takes some time and it is running in bacground in separate process. Once that process finish, the error is reported.

Comment 14 Fedora End Of Life 2015-05-29 12:37:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 22:02:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.